## eodag 3.10.0%2Bds

=== requirements.txt ===
-r requirements-tutorials.txt

## eodag 3.3.1+ds

=== debian/changelog ===
eodag (3.3.1+ds-1~exp1) experimental; urgency=low

  * Initial release (Closes: #1064200).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 24 Apr 2025 08:53:19 +0000

=== debian/control ===
Source: eodag
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-annotated-types,
               python3-boto3,
               python3-botocore,
               python3-cachetools,
               python3-click,
               python3-dateutil,
               python3-ecmwf-api-client,
               python3-fake-factory <!nocheck>,
               python3-fastapi,
               python3-geojson,
               python3-httpx <!nocheck>,
               python3-jsonpath-ng,
               python3-jwt,
               python3-lxml,
               python3-moto <!nocheck>,
               python3-orjson,
               python3-owslib,
               python3-pydantic,
               python3-pydantic-core,
               python3-pydantic-settings,
               python3-pygeofilter,
               python3-pyproj,
               python3-pyshp,
               python3-pystac,
               python3-pytest <!nocheck>,
               python3-pytest-instafail <!nocheck>,
               python3-pytest-socket <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-requests,
               python3-responses <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-shapely,
               python3-starlette,
               python3-stdlib-list,
               python3-stream-zip,
               python3-tqdm,
               python3-typing-extensions,
               python3-urllib3,
               python3-usgs,
               python3-uvicorn,
               python3-whoosh,
               python3-yaml
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/eodag
Vcs-Git: https://salsa.debian.org/debian-gis-team/eodag.git
Homepage: https://github.com/CS-SI/eodag
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: Earth Observation Data Access Gateway
 EODAG (Earth Observation Data Access Gateway) is a command line tool
 and a plugin-oriented Python framework for searching, aggregating
 results and downloading remote sensed images while offering a unified
 API for data access regardless of the data provider.
 The EODAG SDK is structured around three functions:
  * List product types: list of supported products and their description
  * Search products (by product type or uid) : searches products according
    to the search criteria provided
  * Download products : download product "as is"
 .
 EODAG is developed in Python. It is structured according to a modular
 plugin architecture, easily extensible and able to integrate new data
 providers.
 Three types of plugins compose the tool:
  * Catalog search plugins, responsible for searching data
    (OpenSearch, CSW, ...),
    building paths, retrieving quicklook, combining results
  * Download plugins, allowing to download and retrieve data locally
    (via FTP, HTTP, ..), always with the same directory organization
  * Authentication plugins, which are used to authenticate the user on
    the external services used (JSON Token, Basic Auth, OAUTH, ...).
 .
 Since v2.0 EODAG can be run as STAC client or server.

Package: python3-eodag
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-cachetools,
            python3-ecmwf-api-client,
            python3-fastapi,
            python3-pydantic-settings,
            python3-pygeofilter,
            python3-owslib,
            python3-starlette,
            python3-uvicorn,
            python3-usgs
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: eodag
Section: utils
Architecture: all
Depends: python3-eodag (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - CLI
 ${source:Extended-Description}
 .
 This package provides the CLI program.

## eodag 3.8.0+ds

=== debian/changelog ===
eodag (3.8.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/parches:
    - Refresh all patches.
    - Rename vendor-stream_zip.patch into 0004-vendor-stream_zip.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Sep 2025 05:23:57 +0000

eodag (3.3.1+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add patch to vendor stream_zip which is gone upstream.

  [ Antonio Valentino ]
  * Update copyright file for vendored SW.
  * Source only upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Aug 2025 10:59:21 +0000

## eodag 3.8.1+ds

=== debian/changelog ===
eodag (3.8.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Improve 0001-System-importlib.metadata.patch.
      Closes: #1113900.
    - Merge  0001-System-importlib.metadata.patch and
      0003-No-pkg_resources.patch.
    - Refresh and renumber remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Sep 2025 23:11:33 +0000

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                python3-moto <!nocheck>,
                python3-orjson,
                python3-owslib,
+               python3-pycryptodome,
                python3-pydantic,
                python3-pydantic-core,
                python3-pydantic-settings,
@@ -42,7 +43,6 @@
                python3-shapely,
                python3-starlette,
                python3-stdlib-list,
-               python3-stream-zip,
                python3-tqdm,
                python3-typing-extensions,
                python3-urllib3,
@@ -86,6 +86,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-cachetools,
+            python3-pycryptodome,
             python3-ecmwf-api-client,
             python3-fastapi,
             python3-pydantic-settings,

## eodag 3.9.1+ds

=== debian/changelog ===
eodag (3.9.1+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Update dependencies: drop python3-whoosh,
      add python3-zipstream-ng.
  * debian/patches:
    - Drop 0003-vendor-stream_zip.patch, no longer needed.
    - Refresh remaining patches.
    - New 0003-no-mypy-boto3-s3.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Oct 2025 11:08:54 +0000

## eodag 3.10.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -42,19 +42,18 @@
                python3-setuptools-scm,
                python3-shapely,
                python3-starlette,
-               python3-stdlib-list,
+               python3-stdlib-list <!nocheck>,
                python3-tqdm,
                python3-typing-extensions,
                python3-urllib3,
                python3-usgs,
                python3-uvicorn,
-               python3-whoosh,
-               python3-yaml
+               python3-yaml,
+               python3-zipstream-ng
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/eodag
 Vcs-Git: https://salsa.debian.org/debian-gis-team/eodag.git
 Homepage: https://github.com/CS-SI/eodag
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Description: Earth Observation Data Access Gateway
  EODAG (Earth Observation Data Access Gateway) is a command line tool

## eodag 3.10.0+ds

=== debian/changelog ===
eodag (3.10.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Oct 2025 05:44:35 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
export PYBUILD_TEST_ARGS=\
-k "not test_core_search_auths_matching \
and not test_fetch_json \
and not test_core_object_creates_config_standard_location \
and not test_core_object_creates_index_if_not_exist \
and not test_core_object_creates_locations_standard_location \
and not test_read_only_home_dir \
and not test_eoproduct_download_progress_bar \
and not test_all_requirements \
and not test_plugins_extras" \
--ignore={dir}/tests/test_end_to_end.py \
{dir}/tests

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p debian/tmp/usr/share/python3-eodag/
	mv debian/tmp/usr/lib/python3*/*-packages/eodag/resources debian/tmp/usr/share/python3-eodag/

execute_after_dh_fixperms:
	chmod -x debian/python3-eodag/usr/share/python3-eodag/resources/shp/ne_110m_admin_0_map_units.*

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/,\
repacksuffix=+ds \
https://github.com/CS-SI/eodag/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## eodag 3.10.1+ds

=== debian/changelog ===
eodag (3.10.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Dec 2025 09:55:55 +0000

eodag (3.10.0+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Update watch file to ignore post, dev, and alpha releases.
  * Don't move resources to /usr/share.
    (closes: #1122409)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 11 Dec 2025 06:26:13 +0000

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/,\
 repacksuffix=+ds \
 https://github.com/CS-SI/eodag/tags \
-(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*(?<!post\d)(?<!dev\d)(?<!a\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
